window.Vue = require('vue');
import { BootstrapVue } from 'bootstrap-vue'
import VueProgressBar from 'vue-progressbar'
import VueLazyload from 'vue-lazyload'
Vue.config.productionTip = true
Vue.use(BootstrapVue)
const options = {
    color: '#4ef307',
    failedColor: 'red',
    thickness: '4px',
    transition: {
        speed: '0.7s',
        opacity: '0.0s',
        termination: 300
    },
    autoRevert: true,
    location: 'top',
    inverse: false
}
Vue.use(VueProgressBar, options)
Vue.use(VueLazyload)
// Components
Vue.component('ManagerOrders', require('./components/Manager/ManagerOrders.vue').default);
Vue.component('Employees', require('./components/Employees.vue').default);
Vue.component('Orders', require('./components/Reciption/Orders.vue').default);
Vue.component('Stock', require('./components/Reciption/Stock.vue').default);
Vue.component('Brands', require('./components/Reciption/Brands.vue').default);
Vue.component('ToStock', require('./components/Reciption/ToStock.vue').default);
Vue.component('NewOrder', require('./components/Reciption/NewOrder.vue').default);
Vue.component('Screen', require('./components/Reciption/Screen.vue').default);
Vue.component('HardwareOrders', require('./components/Hardware/HardwareOrders.vue').default);
Vue.component('HardwareScreen', require('./components/Hardware/HardwareScreen.vue').default);
Vue.component('SoftwareOrders', require('./components/Software/SoftwareOrders.vue').default);
Vue.component('SoftwareScreen', require('./components/Software/SoftwareScreen.vue').default);
Vue.component('MobileOrders', require('./components/Mobile/MobileOrders.vue').default);
Vue.component('MobileScreen', require('./components/Mobile/MobileScreen.vue').default);
Vue.component('pagination', require('laravel-vue-pagination'));
const app = new Vue({
    el: '#app',
});
